# 文件保护箱
## 1  概 述
文件保护箱是由麒麟安全团队开发的一款用户文件保护箱程序，界面简洁，旨在为用户提供便捷、安全的个人文件保护。


文件保护箱通过隔离隐藏和加密保护相结合的方式，实现用户私有数据的安全保护。
<br>
## 2  使用介绍 
该软件系统已默认安装。


文件保护箱的位置：开始菜单 > 文件保护箱。
<br>

## 3  功能模块
## 3.1  主 页
#### 3.1.1  视图切换
文件保护箱软件打开后，主页界面支持以图标、列表两种视图方式显示保护箱目录，默认为图标视图。


图标视图下，光标悬停在文件保护箱上，可以显示详细路径；列表视图支持查看文件保护箱的详细信息，可以根据是否加密以及创建时间进行筛选显示。

用户打开文件保护箱界面工具，鼠标拖住保护箱界面滑块，进行保护箱图标模式和列表模式切换显示。图标视图如图 1所示，列表视图如图 2所示。 

![图 1 文件保护箱-图标视图-big](image/1.png)

![图 2 文件保护箱-列表视图-big](image/2.png)
<br>

#### 3.1.2  菜单栏
##### 1）  主 题
窗口主题包括深色主题和浅色主题。


打开文件保护箱，文件保护箱的位置：开始菜单 > 文件保护箱，文件保护箱默认展示的是浅色主题，如图 3所示。
![图 3 浅色主题-big](image/3.png)

鼠标点击任务栏![](image/black.png)按钮，进行浅色主题和深色主题切换，如图 4所示。

![图 4 深色主题-big](image/4.png)
<br>

##### 2）  帮 助
- 在文件保护箱界面，点击![](image/menu.png)图标。
- 点击“帮助”。
- 弹出窗口，展示文件保护箱的帮助手册相关信息，帮助示例如图 5所示。

![图 5 帮助-big](image/5.png)

##### 3）  关 于
- 在文件保护箱界面，点击![](image/menu.png)图标。
- 点击“关于”。
- 弹出窗口，展示文件保护箱的版本、开发平台等信息。版本信息如图 6所示。

![图 6 版本信息-big](image/6.png)


##### 4）  退 出
- 在文件保护箱界面，点击![](image/menu.png)图标。


- 点击“退出”，界面关闭。
<br>

## 3.2  基本功能
文件保护箱提供了保护箱的新建、删除、修改保护箱密码、重命名、锁定和打开等操作。


用户可以通过功能按钮和右键菜单进行有关操作。


不同用户创建的保护箱位于对应的/用户名称/box/目录下，用户可以通过保护箱管理工具界面，双击对应图标，访问该文件保护箱目录。保护箱中的文件、目录的操作方法与普通文件、目录一致，都可以通过命令行终端或文件管理器进行。
<br>

#### 3.3.1  右键未加密保护箱
鼠标单击选中未加密保护箱，右键弹出菜单，可以对未加密保护箱进行打开、删除和重命名操作。右键未加密保护箱如图 7所示。

![图 7 未加密保护箱-右键-big](image/7.png)

<br>

#### 3.3.2  右键已锁定保护箱
鼠标单击选中已锁定保护箱，右键弹出菜单，可以对已锁定保护箱进行打开、修改保护箱密码、删除和重命名操作。右键已锁定保护箱如图 8所示。

![图 8 已锁定保护箱-右键-big](image/8.png)

<br>

#### 3.3.2  右键已打开保护箱
鼠标单击选中已打开保护箱，右键弹出菜单，可以对已打开保护箱进行打开、锁定、修改保护箱密码、删除和重命名操作。右键已打开保护箱如图 9所示。

![图 9 已打开保护箱-右键-big](image/9.png)

<br>

#### 3.3.4  新 建
用户可以点击“新建”按钮新建加密/不加密文件保护箱，输入文件保护箱名称、密码和确认密码，然后点击确认按钮，生成提示用户保存秘钥文件子界面，用户可以将秘钥文件保存至目标路径，如图10所示。

![-big](image/10.1.png)

![-big](image/10.2.png)

![-big](image/10.3.png)

![图 10 文件保护箱-新建-big](image/10.4.png)

文件保护箱具有如下特性：

- 新建保护箱，可以选择加密或者不加密。

- 新创建的文件保护箱是加密状态时，仅对用户自己可见，对其他用户不可见。

- 新建未加密保护箱，右键可以对未加密保护箱进行打开、删除和重命名操作；

- 新建加密（已锁定）保护箱，右键可以对已锁定保护箱进行打开、修改保护箱密码、删除和重命名操作；

- 新建加密（已打开）保护箱，右键可以对已打开保护箱进行打开、锁定、修改保护箱密码、删除和重命名操作。

文件保护箱窗口中用不同的图标表示文件保护箱的不同状态，详细信息如下表：

| 序号 | 图标 | 说明 |
|:-----|:-----|:-----|
|1|![](image/icon3.png)| 锁定 |
|2|![](image/icon4.png)| 解锁 |
|3|![](image/icon5.png)| 未加密（仅隔离隐藏） |

<br>

#### 3.3.5  删 除
用户删除不再需要的文件保护箱时，只需选中后点击“删除”按钮，在警示弹窗中确认以完成相关操作，如图 11所示：

![-big](image/11.1.png)

![图 11 文件保护箱（已锁定）-删除-big](image/11.2.png)

对于已打开的文件保护箱状态，需选中后点击“删除”按钮或者鼠标右键选择删除操作，需要进行密码认证，认证通过完成文件保护箱的删除操作，如下图12所示。

![-big](image/12.1.png)

![图 12 文件保护箱（已打开）-删除-big](image/12.2.png)

对于未加密的文件保护箱状态，需选中后点击“删除”按钮或者鼠标右键选择删除操作，可以直接删除未加密的BOX，如下图13所示。

![-big](image/13.1.png)

![图 13 文件保护箱（未加密）-删除-big](image/13.2.png)
<br>

#### 3.3.6  重命名
右键点击需要改名的文件保护箱，选择右键弹出菜单中的“重命名”项，输入新名称并确认。加密（已锁定、已打开）BOX需要验证密码才可重命名。重命名如图 14和15所示：

![图 14 文件保护箱（已锁定）-重命名-big](image/14.png)

![图 15 文件保护箱（已打开）-重命名-big](image/15.png)

右键点击需要改名的文件保护箱，对于未加密的文件保护箱状态，选择右键弹出菜单中的“重命名”项，输入新名称并确认。重命名如图 16所示：

![图 16 文件保护箱（未加密）-重命名-big](image/16.png)
<br>

#### 3.3.7  修改保护箱密码
加密（已锁定、已打开）的BOX，可进行密码修改，用户选中加密（已锁定、已打开）的BOX后鼠标右键点击“修改保护箱密码”，即可进行密码修改。修改保护箱密码如图 17和18所示。

![图 17 通过密码设置修改保护箱密码-big](image/17.png)

![图 18 通过密钥设置修改保护箱密码-big](image/18.png)
<br>

#### 3.3.8  锁定

已打开的BOX，可进行锁定操作，用户选中已打开BOX后点击“锁定”，即可锁定已打开的BOX。锁定设置如图 19~21所示。

![图 19 文件保护箱-锁定-big](image/19.png)

![图 20 锁定保护箱提示-big](image/20.png)

![图 21 查看正在被占用的文件-big](image/21.png)
<br>

#### 3.3.9  打开
未加密的和已打开的BOX，可进行打开操作，用户选中未加密和已打开的BOX后点击“打开”，即可打开目标BOX对应的文件目录。打开操作如图 22所示。

![图 22 文件保护箱-打开-big](image/22.png)
<br>

## 3.3  跟随系统语言
文件保护箱工具默认跟随系统语言设置，目前支持中文模式、英文模式。


1）中文模式

![图 23 中文界面-big](image/23.png)

2）英文模式

![图 24 英文界面-big](image/24.png)
